Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository.sequencer
Class SequencerOutputMap.Entry

    java.lang.Object
      org.modeshape.repository.sequencer.SequencerOutputMap.Entry

Enclosing class:
  SequencerOutputMap

    @Immutable
    public class SequencerOutputMap.Entry

extends Object

An entry in a SequencerOutputMap, which contains the path of the node and the `property values` on the node.

Author:
  Randall Hauch

Constructor Summary
`protected` | `SequencerOutputMap.Entry(Path path, List<SequencerOutputMap.PropertyValue> properties)`

Method Summary
`Path` | `getPath()`
`Name` | `getPrimaryTypeValue()` Get the primary type specified for this node, or null if the type was not specified
`List<SequencerOutputMap.PropertyValue>` | `getPropertyValues()` Get the property values, which may be empty

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequencerOutputMap.Entry

    protected SequencerOutputMap.Entry(Path path,
                                       List<SequencerOutputMap.PropertyValue> properties)

Method Detail

### getPath

    public Path getPath()

  Returns:
    path

### getPrimaryTypeValue

    public Name getPrimaryTypeValue()

  Get the primary type specified for this node, or null if the type was not specified

  Returns:
    the primary type, or null

### getPropertyValues

    public List<SequencerOutputMap.PropertyValue> getPropertyValues()

  Get the property values, which may be empty

  Returns:
    value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.